Skip to main content
POST
/
v2
/
annotation-queues
/
query
List annotation queues
curl --request POST \
  --url https://api.orq.ai/v2/annotation-queues/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "operator": "and",
    "search": "<string>",
    "filters": []
  },
  "limit": 50,
  "page": 1
}
'
{
  "queues": [
    {
      "_id": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "workspace_id": "<string>",
      "human_review_ids": [
        "<string>"
      ],
      "metadata": {
        "items_count": 123
      },
      "created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "<string>",
      "created": "2026-03-19T13:03:29.125Z",
      "updated": "2026-03-19T13:03:29.127Z"
    }
  ],
  "overall_total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filters
object
required

Filter query to filter the list

limit
integer
default:50

The number of annotation queues to return

Required range: 1 <= x <= 200
page
integer
default:1

The page number to return

Required range: x >= 1

Response

200 - application/json

Annotation queues Retrieved Successfully

queues
object[]
required
overall_total
number
required